var gulp = require('gulp');

var path = {
  ROOT: ['index.html', 'favicon.ico'],
  CSS: 'css/*.css',
  IMG: ['img/*.png', 'img/*.svg'],
  ALL: ['index.html', 'css/*', 'img/*'],
  //MINIFIED_OUT: 'build.min.js',
  //OUT: 'build.js',
  DEST: 'build',
  DEST_CSS: 'build/css',
  DEST_IMG: 'build/img',
  //ENTRY_POINT: './js/main.js'
};

gulp.task('copy', function(){
  gulp.src(path.ROOT)
    .pipe(gulp.dest(path.DEST))
  gulp.src(path.CSS)
    .pipe(gulp.dest(path.DEST_CSS))
  gulp.src(path.IMG)
    .pipe(gulp.dest(path.DEST_IMG))
});

gulp.task('production', ['copy']);
